org.apache.axiom.om.impl.serialize

## Class StreamingOMSerializer

- java.lang.Object
- - org.apache.axiom.om.impl.serialize.StreamingOMSerializer

- All Implemented Interfaces:
    javax.xml.stream.XMLStreamConstants, OMSerializer

      public class StreamingOMSerializer
      extends Object
      implements javax.xml.stream.XMLStreamConstants, OMSerializer

  Class StreamingOMSerializer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAMESPACE_PREFIX`

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamingOMSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serialize(javax.xml.stream.XMLStreamReader reader, javax.xml.stream.XMLStreamWriter writer)` Method serialize.
    `void` | `serialize(javax.xml.stream.XMLStreamReader reader, javax.xml.stream.XMLStreamWriter writer, boolean startAtNext)`
    `protected void` | `serializeAttributes(javax.xml.stream.XMLStreamReader reader, javax.xml.stream.XMLStreamWriter writer)`
    `protected void` | `serializeCData(javax.xml.stream.XMLStreamReader reader, javax.xml.stream.XMLStreamWriter writer)` Method serializeCData.
    `protected void` | `serializeComment(javax.xml.stream.XMLStreamReader reader, javax.xml.stream.XMLStreamWriter writer)` Method serializeComment.
    `protected void` | `serializeElement(javax.xml.stream.XMLStreamReader reader, javax.xml.stream.XMLStreamWriter writer)`
    `protected void` | `serializeEndElement(javax.xml.stream.XMLStreamWriter writer)` Method serializeEndElement.
    `protected void` | `serializeNode(javax.xml.stream.XMLStreamReader reader, javax.xml.stream.XMLStreamWriter writer)` Method serializeNode.
    `protected void` | `serializeNode(javax.xml.stream.XMLStreamReader reader, javax.xml.stream.XMLStreamWriter writer, boolean startAtNext)`
    `protected void` | `serializeProcessingInstruction(javax.xml.stream.XMLStreamReader reader, javax.xml.stream.XMLStreamWriter writer)` Method serializeProcessingInstruction.
    `protected void` | `serializeText(javax.xml.stream.XMLStreamReader reader, javax.xml.stream.XMLStreamWriter writer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE_PREFIX

          public static final String NAMESPACE_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StreamingOMSerializer

          public StreamingOMSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(javax.xml.stream.XMLStreamReader reader,
                                javax.xml.stream.XMLStreamWriter writer)
                         throws javax.xml.stream.XMLStreamException

      Method serialize.
      Specified by:
        `serialize` in interface `OMSerializer`
      Parameters:
        `reader` -
        `writer` -
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### serialize

          public void serialize(javax.xml.stream.XMLStreamReader reader,
                                javax.xml.stream.XMLStreamWriter writer,
                                boolean startAtNext)
                         throws javax.xml.stream.XMLStreamException

      Parameters:
        `reader` -
        `writer` -
        `startAtNext` - indicate if reading should start at next event or current event
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### serializeNode

          protected void serializeNode(javax.xml.stream.XMLStreamReader reader,
                                       javax.xml.stream.XMLStreamWriter writer)
                                throws javax.xml.stream.XMLStreamException

      Method serializeNode.
      Parameters:
        `reader` -
        `writer` -
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### serializeNode

          protected void serializeNode(javax.xml.stream.XMLStreamReader reader,
                                       javax.xml.stream.XMLStreamWriter writer,
                                       boolean startAtNext)
                                throws javax.xml.stream.XMLStreamException

      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### serializeElement

          protected void serializeElement(javax.xml.stream.XMLStreamReader reader,
                                          javax.xml.stream.XMLStreamWriter writer)
                                   throws javax.xml.stream.XMLStreamException

      Parameters:
        `reader` -
        `writer` -
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### serializeEndElement

          protected void serializeEndElement(javax.xml.stream.XMLStreamWriter writer)
                                      throws javax.xml.stream.XMLStreamException

      Method serializeEndElement.
      Parameters:
        `writer` -
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### serializeText

          protected void serializeText(javax.xml.stream.XMLStreamReader reader,
                                       javax.xml.stream.XMLStreamWriter writer)
                                throws javax.xml.stream.XMLStreamException

      Parameters:
        `reader` -
        `writer` -
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### serializeCData

          protected void serializeCData(javax.xml.stream.XMLStreamReader reader,
                                        javax.xml.stream.XMLStreamWriter writer)
                                 throws javax.xml.stream.XMLStreamException

      Method serializeCData.
      Parameters:
        `reader` -
        `writer` -
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### serializeComment

          protected void serializeComment(javax.xml.stream.XMLStreamReader reader,
                                          javax.xml.stream.XMLStreamWriter writer)
                                   throws javax.xml.stream.XMLStreamException

      Method serializeComment.
      Parameters:
        `reader` -
        `writer` -
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### serializeProcessingInstruction

          protected void serializeProcessingInstruction(javax.xml.stream.XMLStreamReader reader,
                                                        javax.xml.stream.XMLStreamWriter writer)
                                                 throws javax.xml.stream.XMLStreamException

      Method serializeProcessingInstruction.
      Parameters:
        `reader` -
        `writer` -
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### serializeAttributes

          protected void serializeAttributes(javax.xml.stream.XMLStreamReader reader,
                                             javax.xml.stream.XMLStreamWriter writer)
                                      throws javax.xml.stream.XMLStreamException

      Parameters:
        `reader` -
        `writer` -
      Throws:
        `javax.xml.stream.XMLStreamException`

Copyright © The Apache Software Foundation. All Rights Reserved.